<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (version 1.7.0_11) on Tue Apr 02 22:23:02 BRT 2019 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>RegistroFinanceiroTableModel</title>
<meta name="date" content="2019-04-02">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RegistroFinanceiroTableModel";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistroFinanceiroTableModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/tables/RegistroFinanceiroTableModel.html" target="_top">Frames</a></li>
<li><a href="RegistroFinanceiroTableModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">br.unisal.aula.tables</div>
<h2 title="Class RegistroFinanceiroTableModel" class="title">Class RegistroFinanceiroTableModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>javax.swing.table.AbstractTableModel</li>
<li>
<ul class="inheritance">
<li>br.unisal.aula.tables.RegistroFinanceiroTableModel</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, javax.swing.table.TableModel</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">RegistroFinanceiroTableModel</span>
extends javax.swing.table.AbstractTableModel</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../serialized-form.html#br.unisal.aula.tables.RegistroFinanceiroTableModel">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_CATEGORIA">COL_CATEGORIA</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_DATA">COL_DATA</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_DESCRICAO">COL_DESCRICAO</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_ID">COL_ID</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_TIPO">COL_TIPO</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#COL_VALOR">COL_VALOR</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.table.AbstractTableModel">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.table.AbstractTableModel</h3>
<code>listenerList</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#RegistroFinanceiroTableModel(java.util.List)">RegistroFinanceiroTableModel</a></strong>(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;lista)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#adicionar(br.unisal.aula.model.RegistroFinanceiro)">adicionar</a></strong>(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#atualizar(br.unisal.aula.model.RegistroFinanceiro, int)">atualizar</a></strong>(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro,
         int&nbsp;linha)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a></code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#excluir(int)">excluir</a></strong>(int&nbsp;linha)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#getColumnCount()">getColumnCount</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#getColumnName(int)">getColumnName</a></strong>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a></code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#getRegistroFinanceiro(int)">getRegistroFinanceiro</a></strong>(int&nbsp;linha)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#getRowCount()">getRowCount</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/tables/RegistroFinanceiroTableModel.html#getValueAt(int, int)">getValueAt</a></strong>(int&nbsp;linha,
          int&nbsp;coluna)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.table.AbstractTableModel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.table.AbstractTableModel</h3>
<code>addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="COL_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COL_ID</h4>
<pre>public static final&nbsp;int COL_ID</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_ID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COL_DESCRICAO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COL_DESCRICAO</h4>
<pre>public static final&nbsp;int COL_DESCRICAO</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_DESCRICAO">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COL_TIPO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COL_TIPO</h4>
<pre>public static final&nbsp;int COL_TIPO</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_TIPO">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COL_VALOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COL_VALOR</h4>
<pre>public static final&nbsp;int COL_VALOR</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_VALOR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COL_CATEGORIA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COL_CATEGORIA</h4>
<pre>public static final&nbsp;int COL_CATEGORIA</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_CATEGORIA">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COL_DATA">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>COL_DATA</h4>
<pre>public static final&nbsp;int COL_DATA</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#br.unisal.aula.tables.RegistroFinanceiroTableModel.COL_DATA">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegistroFinanceiroTableModel(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegistroFinanceiroTableModel</h4>
<pre>public&nbsp;RegistroFinanceiroTableModel(java.util.List&lt;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&gt;&nbsp;lista)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRowCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowCount</h4>
<pre>public&nbsp;int&nbsp;getRowCount()</pre>
</li>
</ul>
<a name="getColumnCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnCount</h4>
<pre>public&nbsp;int&nbsp;getColumnCount()</pre>
</li>
</ul>
<a name="getValueAt(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueAt</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getValueAt(int&nbsp;linha,
                          int&nbsp;coluna)</pre>
</li>
</ul>
<a name="adicionar(br.unisal.aula.model.RegistroFinanceiro)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adicionar</h4>
<pre>public&nbsp;void&nbsp;adicionar(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro)</pre>
</li>
</ul>
<a name="atualizar(br.unisal.aula.model.RegistroFinanceiro, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>atualizar</h4>
<pre>public&nbsp;void&nbsp;atualizar(<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;registro,
             int&nbsp;linha)</pre>
</li>
</ul>
<a name="excluir(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excluir</h4>
<pre>public&nbsp;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;excluir(int&nbsp;linha)</pre>
</li>
</ul>
<a name="getRegistroFinanceiro(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegistroFinanceiro</h4>
<pre>public&nbsp;<a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html" title="class in br.unisal.aula.model">RegistroFinanceiro</a>&nbsp;getRegistroFinanceiro(int&nbsp;linha)</pre>
</li>
</ul>
<a name="getColumnName(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getColumnName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getColumnName(int&nbsp;i)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getColumnName</code>&nbsp;in interface&nbsp;<code>javax.swing.table.TableModel</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>getColumnName</code>&nbsp;in class&nbsp;<code>javax.swing.table.AbstractTableModel</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistroFinanceiroTableModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/tables/RegistroFinanceiroTableModel.html" target="_top">Frames</a></li>
<li><a href="RegistroFinanceiroTableModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
